Issue 70358 - Add-On Toolbar may occupy some space of an active OLE object
Summary: Add-On Toolbar may occupy some space of an active OLE object
Status: ACCEPTED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: 680m185
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-12 14:21 UTC by bjoern.milcke
Modified: 2013-08-07 15:31 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description bjoern.milcke 2006-10-12 14:21:52 UTC
1. Install an add-on (I installed the Object Inspector. See
http://api.openoffice.org/files/documents/22/3674/Inspector.uno.pkg)
=> After Office restart you get a toolbar containing a button "Object Inspector"
2. Create a new Text document
3. Insert a Spreadsheet OLE object and activate (should be active after insertion)
4. You see the Add-On toolbar floating. Dock it somewhere (top, left, etc.)
5. Leave the OLE inplace mode and reenter (double-click)
=> Now the space that is needed by the Add-On toolbar is reserved inside the OLE
object (at the corresponding place, i.e. top, left, etc.) The toolbar is shown
correctly outside the OLE object, but the OLE content is shifted, so that some
of the content is no longer visible (like the x-axis in an OLE chart)

It does not happen with an OLE Impress in Writer. This is probably due to the
fact that Impress fiddles around with the docking area for its panes anyway
(just a wild guess).
Comment 1 bjoern.milcke 2006-10-12 14:24:19 UTC
As noted before, this can be nasty, as you can e.g. no longer select the x-axis
in a chart. But the good news is that undocking the add-on toolbar (and once
deactivating + activating) helps. So there is a work-around.
Comment 2 carsten.driesner 2006-10-12 16:32:20 UTC
cd: Accepted.
Comment 3 bjoern.milcke 2006-10-13 09:15:58 UTC
Note: MBA did some larger changes in sfx2 in the CWS inplaceobjects. It might
make sense to check if this issue still occurs on this CWS or on a master with
this CWS integrated (does not exist yet). Maybe Issue 67547 (fixed in
inplaceobjects) is also related with this one.
Comment 4 Mathias_Bauer 2007-12-04 16:19:06 UTC
according to release status meeting -> target 3.x